Skip to content

List projects

Request

Retrieve all projects with basic pagination support

Projects are represented via vw_job. Default ordering by updatedAt desc.

Real Example:

curl --location 'https://{{host}}/v1/projects' \
--header 'Authorization: bearer {{token}}' \
--header 'Content-Type: application/json' \
--data '{
  "pageSize": 25,
  "page": 0
}'
Security
BearerAuth
Bodyapplication/json
pageSizeinteger, [ 1 .. 1000 ]

Maximum number of projects to return

Default:50
pageinteger, >= 0

Number of records to skip for pagination

Default:0
curl -i -X POST \
  https://api.doc.aiwyn.ai/_mock/bundle/gql/v1/projects \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "pageSize": 25,
    "page": 0
  }'

Responses

Successfully retrieved projects